diff -urN ../rdist-6.1.3/config/mf.newsos4 rdist-6.1.3/config/mf.newsos4
--- ../rdist-6.1.3/config/mf.newsos4	Thu Jan  1 09:00:00 1970
+++ rdist-6.1.3/config/mf.newsos4	Mon Apr 20 13:26:52 1998
@@ -0,0 +1,50 @@
+#
+# Copyright (c) 1993 Michael A. Cooper
+# Copyright (c) 1993 Regents of the University of California.
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#	This product includes software developed by the University of
+#	California, Berkeley and its contributors.
+# 4. Neither the name of the University nor the names of its contributors
+#    may be used to endorse or promote products derived from this software
+#    without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $Id: mf.next,v 6.2 1993/02/21 00:46:35 mcooper Exp mcooper $
+#
+
+#
+# NEWSOS4 Makefile: based on NeXT Makefile
+#
+
+#
+# Functions that are missing in this OS are contained in the
+# files specified in ${MISSINGOBJS}.
+#
+MISSINGOBJS 	= 
+
+BIN_DIR         = /usr/ucb
+MAN_1_DIR       = /usr/man/man1
+MAN_8_DIR       = /usr/man/man8
+
diff -urN ../rdist-6.1.3/config/os-newsos4.h rdist-6.1.3/config/os-newsos4.h
--- ../rdist-6.1.3/config/os-newsos4.h	Thu Jan  1 09:00:00 1970
+++ rdist-6.1.3/config/os-newsos4.h	Mon Apr 20 12:26:28 1998
@@ -0,0 +1,153 @@
+/*
+ * Copyright (c) 1993 Michael A. Cooper
+ * Copyright (c) 1993 Regents of the University of California.
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions
+ * are met:
+ * 1. Redistributions of source code must retain the above copyright
+ *    notice, this list of conditions and the following disclaimer.
+ * 2. Redistributions in binary form must reproduce the above copyright
+ *    notice, this list of conditions and the following disclaimer in the
+ *    documentation and/or other materials provided with the distribution.
+ * 3. All advertising materials mentioning features or use of this software
+ *    must display the following acknowledgement:
+ *	This product includes software developed by the University of
+ *	California, Berkeley and its contributors.
+ * 4. Neither the name of the University nor the names of its contributors
+ *    may be used to endorse or promote products derived from this software
+ *    without specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+ * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+ * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
+ * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+ * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+ * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+ * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+ * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+ * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+ * SUCH DAMAGE.
+ */
+
+/*
+ * $Id: os-nextstep2.h,v 6.10 1994/02/18 03:22:43 mcooper Exp $
+ */
+
+/*
+ * SONY NEWS-OS 4.x setting: based on NeXTStep 2.x from NeXT.
+ */
+
+/*
+ * Define the following name for use in #ifdef's.
+ * The value should be all upper-case with no periods (.).
+ */
+#if	!defined(NEWSOS)
+#define NEWSOS		4
+#define NEWSOS4		1
+#endif
+
+/*
+ * OS specific items
+ */
+typedef int pid_t;
+
+/*
+ * Set process args to messages that show up when running ps(1)
+ *
+ * Under some OS's, the SETARGS code will cause ": is not an identifier"
+ * errors for "special" commands.
+ */
+#define SETARGS
+
+/*
+ * Define the type of directory routines your system has.
+ */
+#define DIR_TYPE	DIR_DIRECT
+
+/*
+ * Determine what routines we have to get filesystem info.
+ */
+#define FSI_TYPE	FSI_GETMNTENT
+
+/*
+ * Type of non-blocking I/O.
+ */
+#define NBIO_TYPE	NBIO_IOCTL
+
+/*
+ * Type of wait() function to use.
+ */
+#define WAIT_TYPE	WAIT_WAIT3
+
+/*
+ * Type of argument passed to wait() (above).
+ */
+#define WAIT_ARG_TYPE	union wait
+
+/*
+ * Select the type of executable file format.
+ */
+#ifdef mips
+#define EXE_TYPE	EXE_COFF
+#define FILEHDR_H	<filehdr.h>
+#else
+#if defined(mc68020) || defined(CROSS68)
+#define EXE_TYPE	EXE_AOUT
+#endif
+#endif
+
+/*
+ * Select the type of statfs() system call (if any).
+ */
+#define STATFS_TYPE	STATFS_BSD
+
+/*
+ * Type of arg functions we have.
+ */
+#define ARG_TYPE	ARG_VARARGS
+
+/*
+ * Do we have select()?
+ */
+#define HAVE_SELECT
+
+/*
+ * UID argument type for chown()
+ */
+typedef int CHOWN_UID_T;
+
+/*
+ * GID argument type for chown()
+ */
+typedef int CHOWN_GID_T;
+
+/*
+ * Our types, usually these are uid_t and gid_t.
+ */
+typedef int UID_T;	/* Must be signed */
+typedef int GID_T;	/* Must be signed */
+
+/*
+ * Generic pointer, used by memcpy, malloc, etc.  Usually char or void.
+ */
+typedef char POINTER;
+
+/*
+ * Type of set file time function available
+ */
+#define SETFTIME_TYPE	SETFTIME_UTIMES
+
+/*
+ * We have fchown()
+ */
+#define HAVE_FCHOWN
+
+/*
+ * We have fchmod()
+ */
+#define HAVE_FCHMOD
+
+#define NEED_UNISTD_H
diff -urN ../rdist-6.1.3/config/os-type rdist-6.1.3/config/os-type
--- ../rdist-6.1.3/config/os-type	Fri Feb 23 04:18:41 1996
+++ rdist-6.1.3/config/os-type	Mon Apr 20 11:48:31 1998
@@ -60,6 +60,9 @@
 elif [ -f /unix ] && \
 	(strings /unix | grep 'INTERACTIVE UNIX'  > /dev/null 2>&1) ; then
 	OS=isc
+elif [ -d /usr/sony -a -f /etc/osversion ] && \
+	(grep "NEWS-OS Release 4" /etc/osversion > /dev/null 2>&1) ; then
+ 	OS=newsos4
 fi
 
 #
